Page MenuHomePhabricator

Clean up PSR12.Properties.ConstantVisibility.NotFound phpcs exclusion in WMF Prod
Open, Needs TriagePublic

Description

  • AdvancedSearch
  • ArticleCreationWorkflow
  • BetaFeatures
  • CentralAuth
  • CentralNotice
  • CirrusSearch
  • cldr
  • CodeReview
  • Collection
  • CommonsMetadata
  • ContentTranslation
  • Echo
  • Elastica
  • EntitySchema
  • EventBus
  • EventLogging
  • EventStreamConfig
  • ExtensionDistributor
  • FeaturedFeeds
  • FileImporter
  • FlaggedRevs
  • Gadgets
  • GeoData
  • GettingStarted
  • GlobalUserPage
  • GoogleNewsSitemap
  • Graph
  • GrowthExperiments
  • GuidedTour
  • GWToolset
  • ImageMap
  • Jade
  • Kartographer
  • Linter
  • LiquidThreads
  • LoginNotify
  • MachineVision
  • MassMessage
  • Math
  • MobileFrontend
  • Newsletter
  • OAuth
  • ORES
  • PagedTiffHandler
  • PageImages
  • PageTriage
  • PageViewInfo
  • ParserFunctions
  • PdfHandler
  • Popups
  • PropertySuggester
  • ReadingLists
  • Renameuser
  • Score
  • Scribunto
  • SpamBlacklist
  • SyntaxHighlight_GeSHi
  • TemplateData
  • TextExtracts
  • TimedMediaHandler
  • TitleBlacklist
  • Translate
  • TranslationNotifications
  • UploadWizard
  • UrlShortener
  • UserMerge
  • VipsScaler
  • VisualEditor
  • WikibaseCirrusSearch
  • WikibaseLexemeCirrusSearch
  • WikibaseLexeme
  • WikibaseMediaInfo
  • Wikibase
  • WikibaseQualityConstraints
  • wikihiero
  • WikimediaEditorTasks
  • WikimediaEvents
  • WikimediaMaintenance

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/WikibaseMediaInfomaster+11 -12
mediawiki/extensions/WikibaseMediaInfomaster+11 -13
mediawiki/extensions/CentralNoticemaster+39 -40
mediawiki/extensions/MobileFrontendmaster+7 -9
mediawiki/extensions/MobileFrontendmaster+19 -19
mediawiki/extensions/MobileFrontendmaster+31 -31
mediawiki/extensions/WikibaseCirrusSearchmaster+25 -27
mediawiki/extensions/ORESmaster+16 -17
mediawiki/extensions/UserMergemaster+2 -2
mediawiki/extensions/Echomaster+29 -30
mediawiki/extensions/Newslettermaster+13 -14
avro-phpmaster+62 -63
mediawiki/extensions/Collectionmaster+1 -2
mediawiki/extensions/ContentTranslationmaster+23 -18
mediawiki/extensions/FlaggedRevsmaster+26 -13
mediawiki/extensions/CentralAuthmaster+26 -23
mediawiki/extensions/CentralNoticewmf_deploy+39 -40
mediawiki/extensions/TimedMediaHandlermaster+6 -7
mediawiki/extensions/VisualEditormaster+2 -3
mediawiki/extensions/Lintermaster+4 -5
mediawiki/extensions/Graphmaster+1 -2
mediawiki/extensions/SyntaxHighlight_GeSHimaster+5 -6
mediawiki/extensions/Translatemaster+47 -54
mediawiki/extensions/Mathmaster+24 -25
mediawiki/extensions/PagedTiffHandlermaster+2 -3
mediawiki/extensions/WikibaseLexemeCirrusSearchmaster+12 -14
mediawiki/extensions/UploadWizardmaster+9 -10
mediawiki/extensions/PageTriagemaster+7 -8
mediawiki/extensions/Scribuntomaster+11 -14
mediawiki/extensions/UrlShortenermaster+2 -3
mediawiki/extensions/ParserFunctionsmaster+1 -2
mediawiki/extensions/GettingStartedmaster+7 -10
mediawiki/extensions/Kartographermaster+7 -8
mediawiki/extensions/GeoDatamaster+5 -6
mediawiki/extensions/TextExtractsmaster+4 -5
mediawiki/extensions/EventLoggingmaster+12 -15
mediawiki/extensions/Renameusermaster+4 -5
mediawiki/extensions/EventBusmaster+8 -9
mediawiki/extensions/FeaturedFeedsmaster+1 -2
mediawiki/extensions/GlobalUserPagemaster+1 -2
mediawiki/extensions/WikimediaEventsmaster+15 -16
mediawiki/extensions/LoginNotifymaster+9 -12
mediawiki/extensions/CentralAuthmaster+21 -22
mediawiki/extensions/ArticleCreationWorkflowmaster+2 -4
mediawiki/extensions/Elasticamaster+4 -6
mediawiki/extensions/GuidedTourmaster+3 -6
mediawiki/extensions/PageImagesmaster+6 -9
mediawiki/extensions/EventStreamConfigmaster+3 -5
mediawiki/extensions/AdvancedSearchmaster+5 -6
mediawiki/extensions/ImageMapmaster+6 -9
mediawiki/extensions/Popupsmaster+3 -5
mediawiki/extensions/MassMessagemaster+1 -2
mediawiki/extensions/PageViewInfomaster+6 -7
mediawiki/extensions/GWToolsetmaster+2 -3
mediawiki/extensions/CodeReviewmaster+7 -8
mediawiki/extensions/CommonsMetadatamaster+6 -7
mediawiki/extensions/ReadingListsmaster+5 -7
mediawiki/extensions/SpamBlacklistmaster+2 -3
mediawiki/extensions/VipsScalermaster+2 -4
mediawiki/extensions/PdfHandlermaster+2 -3
mediawiki/extensions/cldrmaster+5 -6
mediawiki/extensions/PropertySuggestermaster+2 -2
mediawiki/extensions/GoogleNewsSitemapmaster+3 -4
mediawiki/extensions/WikimediaMaintenancemaster+6 -7
mediawiki/extensions/WikimediaEditorTasksmaster+9 -9
mediawiki/extensions/wikihieromaster+8 -9
mediawiki/extensions/ExtensionDistributormaster+2 -3
mediawiki/extensions/TranslationNotificationsmaster+1 -2
mediawiki/extensions/Scoremaster+5 -6
mediawiki/extensions/TemplateDatamaster+1 -1
mediawiki/extensions/Gadgetsmaster+4 -5
mediawiki/extensions/LiquidThreadsmaster+27 -28
mediawiki/extensions/TitleBlacklistmaster+2 -2
mediawiki/skins/MinervaNeuemaster+21 -22
mediawiki/extensions/Elasticamaster+4 -6
mediawiki/extensions/BetaFeaturesmaster+6 -7
mediawiki/extensions/AdvancedSearchmaster+5 -6
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 600080 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600080

Reedy updated the task description. (Show Details)May 30 2020, 1:02 AM

Change 600076 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600076

Change 600082 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600082

Change 600068 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600068

Change 600084 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Math@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600084

Reedy updated the task description. (Show Details)May 30 2020, 1:14 AM

Change 600081 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600081

Change 602048 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/602048

Change 600073 merged by jenkins-bot:
[mediawiki/extensions/PagedTiffHandler@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600073

Reedy updated the task description. (Show Details)Jun 5 2020, 12:52 AM

Change 600084 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600084

Change 602048 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/602048

Change 600077 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/600077

Reedy updated the task description. (Show Details)Sep 19 2020, 2:48 PM
Reedy updated the task description. (Show Details)
reedy@deploy1001:/srv/mediawiki-staging/php-1.36.0-wmf.8/extensions$ grep -R PSR12.Properties.ConstantVisibility.NotFound *
CentralAuth/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
CentralNotice/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
CirrusSearch/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Collection/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
ContentTranslation/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Echo/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
EntitySchema/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
FlaggedRevs/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Graph/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
GrowthExperiments/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Jade/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Linter/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
MachineVision/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
MobileFrontend/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Newsletter/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
OAuth/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
ORES/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
SyntaxHighlight_GeSHi/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
TimedMediaHandler/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
UserMerge/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
VisualEditor/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
Wikibase/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
WikibaseCirrusSearch/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
WikibaseLexeme/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
WikibaseMediaInfo/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />
WikibaseQualityConstraints/.phpcs.xml:		<exclude name="PSR12.Properties.ConstantVisibility.NotFound" />

Change 628495 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FlaggedRevs@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628495

Change 628498 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ContentTranslation@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628498

Change 628499 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Graph@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628499

Change 628500 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Linter@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628500

Change 628501 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/UserMerge@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628501

Change 628502 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/TimedMediaHandler@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628502

Change 628503 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/VisualEditor@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628503

Change 628499 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628499

Change 628500 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628500

Change 628504 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/CentralAuth@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628504

Change 628516 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/CentralNotice@wmf_deploy] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628516

Change 628379 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/CentralNotice@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628379

Change 628503 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628503

Change 628518 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628518

Change 628502 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628502

Change 628504 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628504

Change 628495 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628495

Change 628520 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Echo@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628520

Change 628498 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628498

Change 628518 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628518

Reedy updated the task description. (Show Details)

Change 628553 had a related patch set uploaded (by Reedy; owner: Reedy):
[avro-php@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628553

Change 628540 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikibaseMediaInfo@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628540

Change 628541 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikibaseCirrusSearch@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628541

Reedy updated the task description. (Show Details)Sep 19 2020, 11:38 PM

Change 628542 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ORES@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628542

Change 628543 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Newsletter@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628543

Change 628573 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to constants

https://gerrit.wikimedia.org/r/628573

Change 628575 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to more constants (2)

https://gerrit.wikimedia.org/r/628575

Change 628553 merged by jenkins-bot:
[avro-php@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628553

Change 628520 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628520

Change 628543 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628543

Change 628501 merged by jenkins-bot:
[mediawiki/extensions/UserMerge@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628501

Change 628542 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628542

Change 628541 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Fix PSR12.Properties.ConstantVisibility.NotFound

https://gerrit.wikimedia.org/r/628541

Change 628573 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to constants

https://gerrit.wikimedia.org/r/628573

Change 628575 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to more constants (2)

https://gerrit.wikimedia.org/r/628575

Reedy updated the task description. (Show Details)
Reedy removed a project: ORES.
Reedy updated the task description. (Show Details)

Change 629014 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to more constants (3)

https://gerrit.wikimedia.org/r/629014

Change 629014 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add visibility modifier to more constants (3)

https://gerrit.wikimedia.org/r/629014

Change 631206 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Update constant visibility

https://gerrit.wikimedia.org/r/631206

Change 631206 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Update constant visibility

https://gerrit.wikimedia.org/r/631206

Change 628540 abandoned by Reedy:
[mediawiki/extensions/WikibaseMediaInfo@master] Fix PSR12.Properties.ConstantVisibility.NotFound

Reason:

https://gerrit.wikimedia.org/r/628540

Not about mediawiki core